Last Comment Bug 671465 - Misc build-system cleanups
: Misc build-system cleanups
Status: RESOLVED FIXED
fixed-in-bs
:
Product: Core
Classification: Components
Component: Build Config (show other bugs)
: Trunk
: All All
: -- normal (vote)
: mozilla9
Assigned To: Matheus Kerschbaum
:
Mentors:
Depends on: 680625
Blocks:
  Show dependency treegraph
 
Reported: 2011-07-13 18:27 PDT by Matheus Kerschbaum
Modified: 2011-08-28 06:00 PDT (History)
2 users (show)
matjk7: in‑testsuite-
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
part 1: Remove whitespace from configure (55.17 KB, patch)
2011-07-13 18:31 PDT, Matheus Kerschbaum
no flags Details | Diff | Splinter Review
part 2: Remove tabs from configure (36.70 KB, patch)
2011-07-13 18:32 PDT, Matheus Kerschbaum
no flags Details | Diff | Splinter Review
part 3: Remove whitespace from autoconf (927 bytes, patch)
2011-07-13 18:33 PDT, Matheus Kerschbaum
no flags Details | Diff | Splinter Review
part 4: Remove tabs from autoconf (20.44 KB, patch)
2011-07-13 18:33 PDT, Matheus Kerschbaum
no flags Details | Diff | Splinter Review
part 5: Remove whitespace from config.mk (1.76 KB, patch)
2011-07-13 18:34 PDT, Matheus Kerschbaum
no flags Details | Diff | Splinter Review
part 6: Remove tabs from config.mk (12.01 KB, patch)
2011-07-13 18:35 PDT, Matheus Kerschbaum
no flags Details | Diff | Splinter Review
part 7: Remove whitespace from rules.mk (6.75 KB, patch)
2011-07-13 18:35 PDT, Matheus Kerschbaum
no flags Details | Diff | Splinter Review
part 8: Remove tabs from rules.mk (77.78 KB, patch)
2011-07-13 18:36 PDT, Matheus Kerschbaum
no flags Details | Diff | Splinter Review
part 1: remove AC_SUBST(MINIMO) from configure (701 bytes, patch)
2011-08-23 20:54 PDT, Matheus Kerschbaum
khuey: review+
Details | Diff | Splinter Review
part 2: Remove reference to dead MAKEFILES_sun_java variable in toolkit-makefiles.sh (759 bytes, patch)
2011-08-23 20:55 PDT, Matheus Kerschbaum
khuey: review+
Details | Diff | Splinter Review
part 3: Remove some javaxpcom left-overs (1.10 KB, patch)
2011-08-23 20:56 PDT, Matheus Kerschbaum
khuey: review+
Details | Diff | Splinter Review
part 4: Remove some gtkmozembed left-overs (1.63 KB, patch)
2011-08-23 20:57 PDT, Matheus Kerschbaum
khuey: review+
Details | Diff | Splinter Review
part 5: remove whitespace from configure (49.62 KB, patch)
2011-08-23 20:57 PDT, Matheus Kerschbaum
khuey: review+
Details | Diff | Splinter Review
part 6: remove whitespace from autoconf (919 bytes, patch)
2011-08-23 20:58 PDT, Matheus Kerschbaum
khuey: review+
Details | Diff | Splinter Review
part 7: remove whitespace from config.mk (1.75 KB, patch)
2011-08-23 20:58 PDT, Matheus Kerschbaum
khuey: review+
Details | Diff | Splinter Review
part 8: remove whitespace from rules.mk (6.79 KB, patch)
2011-08-23 20:59 PDT, Matheus Kerschbaum
khuey: review+
Details | Diff | Splinter Review
bustage fix (36.54 KB, patch)
2011-08-25 17:14 PDT, Matheus Kerschbaum
emorley: checkin+
Details | Diff | Splinter Review

Description Matheus Kerschbaum 2011-07-13 18:27:24 PDT
I keep hitting these when patching the build-system so I figured it was time to get rid of them!
Comment 1 Matheus Kerschbaum 2011-07-13 18:31:58 PDT
Created attachment 545798 [details] [diff] [review]
part 1: Remove whitespace from configure
Comment 2 Matheus Kerschbaum 2011-07-13 18:32:34 PDT
Created attachment 545799 [details] [diff] [review]
part 2: Remove tabs from configure
Comment 3 Matheus Kerschbaum 2011-07-13 18:33:29 PDT
Created attachment 545800 [details] [diff] [review]
part 3: Remove whitespace from autoconf
Comment 4 Matheus Kerschbaum 2011-07-13 18:33:58 PDT
Created attachment 545801 [details] [diff] [review]
part 4: Remove tabs from autoconf
Comment 5 Matheus Kerschbaum 2011-07-13 18:34:30 PDT
Created attachment 545802 [details] [diff] [review]
part 5: Remove whitespace from config.mk
Comment 6 Matheus Kerschbaum 2011-07-13 18:35:06 PDT
Created attachment 545803 [details] [diff] [review]
part 6: Remove tabs from config.mk
Comment 7 Matheus Kerschbaum 2011-07-13 18:35:37 PDT
Created attachment 545804 [details] [diff] [review]
part 7: Remove whitespace from rules.mk
Comment 8 Matheus Kerschbaum 2011-07-13 18:36:13 PDT
Created attachment 545805 [details] [diff] [review]
part 8: Remove tabs from rules.mk
Comment 9 Matheus Kerschbaum 2011-07-13 18:38:06 PDT
Rubber-stamp please, no functionality changes in these patches.
Comment 10 Matheus Kerschbaum 2011-07-13 21:25:59 PDT
And of course, none of this actually builds because configure hates me.
Comment 11 Ed Morley [:emorley] 2011-08-04 17:32:36 PDT
I can't remember off-hand if check-sync-dirs.py considers whitespace in the file comparison - but (presuming it does) for builds to complete, the same changes will also need to be made to the js/src/config/ and js/src/build/ versions of files that don't appear in the exceptions list, if that helps at all?

http://mxr.mozilla.org/mozilla-central/source/js/src/Makefile.in#626
http://mxr.mozilla.org/mozilla-central/source/js/src/config/check-sync-dirs.py
http://mxr.mozilla.org/mozilla-central/source/js/src/config/check-sync-exceptions
Comment 12 Matheus Kerschbaum 2011-08-04 17:57:32 PDT
check-sync-dirs.py doesn't prevent builds from compiling, it just turns the tree orange if you forget to change the js/src/ build system counterparts (like I did here).

The problem here is the second patch, which makes configures angry for some reason. All the other parts compile fine IIRC, but I don't know if this small cleanup is worth messing up hg log/blame.
Comment 13 Matheus Kerschbaum 2011-08-23 20:54:54 PDT
Created attachment 555309 [details] [diff] [review]
part 1: remove AC_SUBST(MINIMO) from configure

I decided to drop the mass tabs -> spaces change since it breaks configure and rules.mk and doing it manually would be painful. I also ended up removing some unrelated (to the whitespace cleanup) cruft in several places.
Comment 14 Matheus Kerschbaum 2011-08-23 20:55:52 PDT
Created attachment 555310 [details] [diff] [review]
part 2: Remove reference to dead MAKEFILES_sun_java variable in toolkit-makefiles.sh
Comment 15 Matheus Kerschbaum 2011-08-23 20:56:30 PDT
Created attachment 555311 [details] [diff] [review]
part 3: Remove some javaxpcom left-overs
Comment 16 Matheus Kerschbaum 2011-08-23 20:57:10 PDT
Created attachment 555312 [details] [diff] [review]
part 4: Remove some gtkmozembed left-overs
Comment 17 Matheus Kerschbaum 2011-08-23 20:57:37 PDT
Created attachment 555313 [details] [diff] [review]
part 5: remove whitespace from configure
Comment 18 Matheus Kerschbaum 2011-08-23 20:58:10 PDT
Created attachment 555314 [details] [diff] [review]
part 6: remove whitespace from autoconf
Comment 19 Matheus Kerschbaum 2011-08-23 20:58:39 PDT
Created attachment 555315 [details] [diff] [review]
part 7: remove whitespace from config.mk
Comment 20 Matheus Kerschbaum 2011-08-23 20:59:13 PDT
Created attachment 555316 [details] [diff] [review]
part 8: remove whitespace from rules.mk
Comment 21 Kyle Huey [:khuey] (khuey@mozilla.com) 2011-08-24 05:08:46 PDT
Comment on attachment 555313 [details] [diff] [review]
part 5: remove whitespace from configure

Just skimmed this one, but it looks fine.
Comment 22 Kyle Huey [:khuey] (khuey@mozilla.com) 2011-08-24 05:14:05 PDT
Comment on attachment 555314 [details] [diff] [review]
part 6: remove whitespace from autoconf

We can probably kill this NS_USE_NATIVE stuff ...
Comment 24 Matheus Kerschbaum 2011-08-25 17:14:36 PDT
Created attachment 555897 [details] [diff] [review]
bustage fix

Stupid me forgot to change the js/src bits again.
Comment 25 Ed Morley [:emorley] 2011-08-25 17:38:12 PDT
Comment on attachment 555897 [details] [diff] [review]
bustage fix

http://hg.mozilla.org/projects/build-system/rev/718f1de3f105

Note You need to log in before you can comment on or make changes to this bug.